Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[qt overlay] Qt beta and live ebuilds & Qt4 apps
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 5, 6, 7 ... 14, 15, 16  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
soya
Guru
Guru


Joined: 29 Jan 2004
Posts: 425

PostPosted: Fri Feb 20, 2009 10:48 am    Post subject: Reply with quote

Hi, yesterday afternoon tried to sync qting-edge overlay and got status 256, today i'm still suffering the issue. Has the sync url been changed. Thanks.

Strange, layman -d qting-edge; layman -f; layman -L;layman -a qting-edge solved the issue.

EDIT: Why we must use phonon instead of qt-phonon, and aslo why is qt-phonon in portage? Thanks again :)
_________________
Si el tonto te alaba lamentalo, si el listo te censura piensalo...
Back to top
View user's profile Send private message
yngwin
Retired Dev
Retired Dev


Joined: 19 Dec 2002
Posts: 4572
Location: Suzhou, China

PostPosted: Mon Feb 23, 2009 8:59 am    Post subject: Reply with quote

soya wrote:
EDIT: Why we must use phonon instead of qt-phonon, and aslo why is qt-phonon in portage? Thanks again :)

There is no must. But KDE4 only works with media-sound/phonon so far, although I hope future versions will be compatible with qt-phonon. And qt-phonon is in portage, because it is a Qt module, and can be used in Qt4 applications. There is a growing wealth of Qt4 applications outside of KDE4.
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 376
Location: Ekaterinburg, Russia

PostPosted: Mon Mar 02, 2009 1:39 pm    Post subject: Reply with quote

qt-creator-9999 fails to install with multilib-strict enabled
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
Hum
Tux's lil' helper
Tux's lil' helper


Joined: 13 Oct 2005
Posts: 116
Location: Canada

PostPosted: Mon Mar 02, 2009 8:52 pm    Post subject: Reply with quote

kdevelop4 added a new documentation integration feature that requires Qt-help is there a package in portage for that?
http://www.proli.net/2009/02/28/kdevelop4s-documentation-integration/
Back to top
View user's profile Send private message
yngwin
Retired Dev
Retired Dev


Joined: 19 Dec 2002
Posts: 4572
Location: Suzhou, China

PostPosted: Tue Mar 03, 2009 9:42 am    Post subject: Reply with quote

That should be qt-assistant as far as I know.
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Mar 03, 2009 4:23 pm    Post subject: Reply with quote

Rion wrote:
qt-creator-9999 fails to install with multilib-strict enabled


Is there any build log?
Back to top
View user's profile Send private message
Hum
Tux's lil' helper
Tux's lil' helper


Joined: 13 Oct 2005
Posts: 116
Location: Canada

PostPosted: Tue Mar 03, 2009 4:29 pm    Post subject: Reply with quote

yngwin wrote:
That should be qt-assistant as far as I know.

Yep that was it. Thanks.
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 376
Location: Ekaterinburg, Russia

PostPosted: Tue Mar 03, 2009 4:58 pm    Post subject: Reply with quote

Hwoarang wrote:
Rion wrote:
qt-creator-9999 fails to install with multilib-strict enabled


Is there any build log?
tomorrow..
it claims about not allowed binaries during QA checks
AFAIK, the reason is gentoo not allows dynamic linked libs on amd64 platform in some cases.
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Tue Mar 03, 2009 6:14 pm    Post subject: Reply with quote

Thanks for the cuberok-9999 ebuild. This is going to be a nice player.

Here is a little patch to the ebuild, as currently it installs to / (/bin, /share etc) instead of /usr
Code:
diff --git a/media-sound/cuberok/cuberok-9999.ebuild b/media-sound/cuberok/cuberok-9999.ebuild
index 207cfe4..9f16281 100644
--- a/media-sound/cuberok/cuberok-9999.ebuild
+++ b/media-sound/cuberok/cuberok-9999.ebuild
@@ -25,7 +25,7 @@ src_configure(){
 }

 src_install() {
-       emake INSTALL_ROOT="${D}" install || die "emake install failed"
+       emake INSTALL_ROOT="${D}/usr" install || die "emake install failed"
        doicon images/${PN}.png
        make_desktop_entry cuberok Cuberok ${PN}.png 'Qt;AudioVideo;Audio' \
                die || "make_desktop_entry_failed"

_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Tue Mar 03, 2009 9:39 pm    Post subject: Reply with quote

just a reminder:

qt 4.5 got released :idea:

thanks
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 376
Location: Ekaterinburg, Russia

PostPosted: Wed Mar 04, 2009 5:05 am    Post subject: Reply with quote

qt-xmlpatterns-4.5.0 has invalid digest

and emerge qt-gui-4.5.0 fails
log here http://dpaste.com/5918/
ps Ошибка шины = bus error
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
yngwin
Retired Dev
Retired Dev


Joined: 19 Dec 2002
Posts: 4572
Location: Suzhou, China

PostPosted: Wed Mar 04, 2009 9:22 pm    Post subject: Reply with quote

Rion wrote:
ps Ошибка шины = bus error

That's a (probably hardware) problem on your end. Try again.
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 376
Location: Ekaterinburg, Russia

PostPosted: Thu Mar 05, 2009 11:36 am    Post subject: Reply with quote

ok. i've compiled qt with -j1 without problem.

as i promised here build.log for qt-creator http://dpaste.com/6925/

# file /var/tmp/portage/dev-util/qt-creator-1.0.0/image/usr/lib/qtcreator/libQtConcurrent.so.1.0.0
/var/tmp/portage/dev-util/qt-creator-1.0.0/image/usr/lib/qtcreator/libQtConcurrent.so.1.0.0: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, stripped

probably i should post this to bug tracker..
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sat Mar 07, 2009 6:35 pm    Post subject: Reply with quote

Thanks

This bug ( https://bugs.gentoo.org:80/show_bug.cgi?id=261448 ) has been fixed.

both qt-creator-1.0.0 and qt-creator-9999 are supposed to work fine with multilib-strict enabled now :)
Back to top
View user's profile Send private message
SpectreDragon
Tux's lil' helper
Tux's lil' helper


Joined: 22 Aug 2008
Posts: 92
Location: Germany

PostPosted: Sun Mar 08, 2009 12:56 am    Post subject: Reply with quote

any progress on getting the opengl graphicssystem to work?

I tried to "merge" the qt-gui and qt-opengl ebuilds so that qt-gui also installs all the opengl stuff but even with this I always get 'unable to load graphicssystem "opengl"' when starting any application.
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sun Mar 08, 2009 10:45 pm    Post subject: Reply with quote

No not yet. I am sorry but this is not our first priority right now cause we have to fix some other problems as well :)

Raster use flag is quite destructive so far, so I dont trust those backend rendering engines so much right now
Back to top
View user's profile Send private message
wired_
Retired Dev
Retired Dev


Joined: 13 Feb 2009
Posts: 15
Location: Athens, Greece

PostPosted: Fri Apr 03, 2009 11:58 pm    Post subject: Reply with quote

Greetings =]

qting-edge received some love today:

* 4.9999 missing .h files fixed
* 4.5.9999 now has qt-copy USE flag.
*** with qt-copy disabled the ebuilds use live source from nokia's 4.5 branch
*** with qt-copy enabled the ebuilds use the qt repo maintained by KDE with their patches (old behaviour)

sets and keywords were updated too.
if eix throws some nice errors at you don't worry: https://bugs.gentoo.org/show_bug.cgi?id=264798

qt-copy useflag will remain enabled by default for now
(this might change in the future so please add it in your make.conf if you need it).
_________________
Alex Alexander
wired @ gentoo
stupid _ in forum nick because someone else has wired
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sat Apr 04, 2009 8:13 am    Post subject: Reply with quote

Ok, I updated the first post as well :)
Back to top
View user's profile Send private message
regomodo
Guru
Guru


Joined: 25 Mar 2008
Posts: 445

PostPosted: Sat Apr 04, 2009 10:24 am    Post subject: Reply with quote

Has anybody else noticed an issue with konqueror-4.2.2. Sure it's a lot quicker but the use of caching is odd. If I navigate to a page I've seen earlier it'll show me what I last saw, until I hit reload. I've just noticed this with /. , gizmodo and engadget just now.
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Thu Apr 23, 2009 12:17 pm    Post subject: Reply with quote

Shiny new Qt-4.5.1 added on overlay :)
Back to top
View user's profile Send private message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 248

PostPosted: Thu Apr 23, 2009 4:40 pm    Post subject: Reply with quote

Thanks!!!

One question, it is safe to use the raster use flag or continue having problems with kde4?
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Thu Apr 23, 2009 4:45 pm    Post subject: Reply with quote

I am affraid I cant answer that.

I dont use raster :)
Back to top
View user's profile Send private message
ssmaxss
Apprentice
Apprentice


Joined: 28 Jun 2005
Posts: 160
Location: Moscow, Russia.

PostPosted: Fri Apr 24, 2009 9:44 am    Post subject: Reply with quote

Could have some rendering problems in kde 4.2.2 after upgrading to qt 4.5.1? Is it influence of gcc 4.4.0 or qt 4.5.1? Does qt 4.5.1 need -fno-strict-aliasing?
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Fri Apr 24, 2009 10:29 am    Post subject: Reply with quote

I didnt notice any rendering issues with 4.5.1 :)
Back to top
View user's profile Send private message
ssmaxss
Apprentice
Apprentice


Joined: 28 Jun 2005
Posts: 160
Location: Moscow, Russia.

PostPosted: Fri Apr 24, 2009 10:31 am    Post subject: Reply with quote

Looks like known problem with oxygen theme:
http://rdieter.livejournal.com/13559.html
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 5, 6, 7 ... 14, 15, 16  Next
Page 6 of 16

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum